<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="HammerCLI::Settings" tests="9" time="0.000795377" failures="0" errors="0" skipped="0" assertions="19">
  <testcase name="test_0001_returns nil when nothing is loaded" time="0.000118872" assertions="2">
  </testcase>
  <testcase name="test_0006_loads all settings" time="6.3553e-05" assertions="2">
  </testcase>
  <testcase name="test_0004_takes both strings and symbols" time="5.5445e-05" assertions="2">
  </testcase>
  <testcase name="test_0005_finds nested settings" time="5.7768e-05" assertions="3">
  </testcase>
  <testcase name="test_0003_returns correct value" time="5.8495e-05" assertions="1">
  </testcase>
  <testcase name="test_0007_dumps all settings" time="5.6246e-05" assertions="1">
  </testcase>
  <testcase name="test_0009_clear wipes all settings" time="4.9296e-05" assertions="2">
  </testcase>
  <testcase name="test_0008_merges settings on second load" time="7.0802e-05" assertions="5">
  </testcase>
  <testcase name="test_0002_returns nil on unknown key" time="4.4578e-05" assertions="1">
  </testcase>
  <system-out>
  </system-out>
  <system-err>
  </system-err>
</testsuite>
